Listing Product Stemcell Assignments

Listing Product Stemcell Assignments
Listing Product Stemcell Assignments

Returns information regarding which stemcells are staged, deployed, required, and available for assignment for each product.

Request
URI
GET
https://{opsmanager-installation}/api/v0/stemcell_associations
COPY
Responses
200

OK

{
    "products": [
        {
            "guid": "string",
            "identifier": "string",
            "label": "string",
            "staged_product_version": "string",
            "deployed_product_version": "string",
            "is_staged_for_deletion": false,
            "staged_stemcells": [
                {
                    "name": "string",
                    "os": "string",
                    "version": "string"
                }
            ],
            "deployed_stemcells": [
                {
                    "name": "string",
                    "os": "string",
                    "version": "string"
                }
            ],
            "available_stemcells": [
                {
                    "name": "string",
                    "os": "string",
                    "version": "string"
                }
            ],
            "required_stemcells": [
                {
                    "os": "string",
                    "version": "string",
                    "enable_patch_security_updates": false
                }
            ]
        }
    ],
    "stemcell_library": [
        {
            "version": "string",
            "os": "string",
            "name": "string",
            "infrastructure": "string",
            "hypervisor": "string",
            "light": false,
            "present_on_disk": false
        }
    ]
}
array of products
products
Optional

products

array of stemcell_library
stemcell_library
Optional

stemcell_library


400

Setup is not completed

Returns RequireSetupCompleted of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


403

Forbidden

Returns ForbiddenResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/v0/stemcell_associations